qterminal-1.4.0 / 2023-11-05
=============================
 * Handled bell (BEL, '\a') via libcanberra, and added an "Audible bell" option.
 * Use `qWarning().noquote()`.
 * Ported away from deprecated Qt::MidButton.
 * Let the latest QTermWidget library set TERM.
 * Corrected tab order in settings dialog.
 * Removed an unused non POD variable.
 * Supported Putty-style mouse button swap.
 * Avoided a case of null pointer dereference.

qterminal-1.3.0 / 2023-04-15
=============================
 * Specified the parent of the main context menu for correct positioning under Wayland.
 * Improve UX by opening new terminals in current directory by default.
 * Fixed a crash in the dropdown mode under Wayland.
 * Corrected typos.
 * Corrected the license in the meta-info.

qterminal-1.2.0 / 2022-11-05
=============================
 * Add CI using GitHub Actions.
 * Fixed command parsing with the `-e` option.
 * Avoid segfault when using global menus.
 * Improved documentation for the `--profile` option.

qterminal-1.1.0 / 2022-04-15
=============================
 * Updated README.md.
 * Fixed max. value of drop-down width/height spin-box.
 * Use explicit QFlags default constructor instead of nullptr.
 * Changed the relation between unlimited history and history size (selecting unlimited history now disables the history size spinbox).
 * Activate bookmarks according to platform click behavior.
 * Enabled bookmark filtering.
 * Cleaned up bookmarks tree.
 * No hidden parent for dropdown window (fixes several old issues).
 * Fixed closing of last tab with prompt.
 * Never show close prompt when explicitly ending session from terminal.
 * Don't toggle drop-down terminal if it has modal dialog.
 * Added bookmarks examples.
 * Added a shortcut entry for drop-down shortcut.
 * Fixed a minor problem in full-screening in drop-down mode.
 * Improved the Bookmarks page of QTerminal's settings dialog.
 * Fixed focus change on showing/hiding bookmarks dock.
 * Fixed updating of shortcuts on tab switching/removal/creation.
 * Fixed right clicking of an empty area of tabbar.

qterminal-1.0.0 / 2021-11-04
=============================
 * Bumped minimum required Qt version to 5.15.
 * Respect preset splitting on opening new window and double clicking tab-bar.
 * Trim shell strings.
 * Added an option for keeping drop-down window open.
 * Don't try to move window under Wayland (fixes menu positions).

qterminal-0.17.0 / 2021-04-15
=============================
  * Some code cleanup and modernization.
  * Removed two warnings that were shown when QTerminal was started.
  * Added an option to disable bracketed paste mode.
  * Moved the paste-related codes to qtermwidget.
  * Made "Action after paste" clearer and default to "Scrolling to bottom".
  * Added a tooltip about bracketed paste mode.
  * Added modes for background image.

qterminal-0.16.1 / 2020-11-14
=============================
  * Fixed a mistake in the layout of Terminal settings dialog.
  * Fixed translation of shortcuts (in Terminal settings dialog).

qterminal-0.16.0 / 2020-11-01
=============================

  * Made closing of tab on middle-clicking optional.
  * Avoid loop variable copy.
  * Emit signals with Q_EMIT.
  * Use the default constructor of QFlags.
  * Dropped qmake .pro file.
  * Made the color scheme dirs comply with XDG Base Directory Specification.
  * Added an optopn for opening the new tab to the right of the active tab.
  * Added virtual destructor to a base class.
  * Let QStandardPaths::locateAll() handle application name.
  * Put drop-down QTerminal on screen with cursor.

qterminal-0.15.0 / 2020-04-24
=============================

  * Bumped version to 0.15.0.
  * CMakeLists: Do not use Qt5X11Extras on macOS.
  * Replace deprecated/removed Q_WS_MAC macro with Q_OS_MACOS.
  * Fixed the default font on macOS.
  * Fixed the missing PASTE_SELECTION_SHORTCUT on macOS.
  * Fixed inconsistent-missing-override warnings.
  * Scrollable and compact Settings dialog.
  * C++11 code updates.
  * Fix View → Toggle Bookmarks.
  * Consider settings dialog frame on fitting it into screen.
  * Fixed the duplicated setHistorySize() call.
  * Create actions for switching to tab by index.
  * Allow to disable drawing line chars.
  * Made the initial terminal size consistent with qterminal.ui.
  * Fixed building qterminal.app on macOS.
  * No more incorrectly setting icon via OSC 1.
  * Allow fixed custom size for QTerminal.
  * Made menubar accelerators optional.
  * Added "Hide Window Borders" to context menu.
  * Remember the size of preferences dialog.
  * Fixed the version comparison.
  * Removed some debug outputs.
  * Removed the deprecated QFileDialog method `setConfirmOverwrite()`.
  * config: add a tooltip about box-drawing chars.
  * Implemented an action that allows you to send the history to your editor.
  * Added an option for borderless state and remembered it.

qterminal-0.14.1 / 2019-02-25
=============================

  * Bumped version to 0.14.1
  * Only translations was changed.

qterminal-0.14.0 / 2019-01-25
=============================

  * Bumped version to 0.14.0
    The big bump was needed to prevent conflicts with translations that
    were former built out of lxqt-l10n and have version 0.13.0
  * New implemented:
    - Added terminal margins
    - Added history-based tab switching
  * Implementation fixes:
    - main: Fixed translation loading
    - propertiesdialog: Smaller settings dialog
    - propertiesdialog: Prevent TAB from changing focus in shortcut editor
    - Suppress compilation warnings
    - Don't use automatic string conversions
    - Remember the maximization state of the window
    - Refactored Limit/limit -> Fixed/fixed tabwitdh
    - Refactor STR_VERSION -> QTERMINAL_VERSION
  * Improved cmake scripting
    - Set cmake_minimum_required to 3.1.0
    - Removed locale compile definitions
  * Moved translations from lxqt-l10n back to qterminal
   - Removed obsolete translation fuctionality
   - Added translation promo in README.md

qterminal-0.9.0 / 2018-05-21
============================

  * Bump version to 0.9.0
  * Spanish translation update
  * Now building out-of-source is mandatory
  * Fix tab texts, especially for vertical tabs
  * CMake: Prevent in-source builds
  * Fixed some lxde mentions
  * Sort color schemes alphabetically
  * Support modifying $TERM and use xterm-256color by default
  * Convert connect to the new syntax - termwidgetholder.cpp
  * Convert connect to the new syntax - termwidget.cpp
  * Convert connect to the new syntax - tabwidget.cpp
  * Convert connect to the new syntax - propertiesdialog.cpp
  * Convert connect to the new syntax - mainwindow.cpp, part 1
  * Convert connect to the new syntax - fontdialog.cpp
  * Convert connect to the new syntax - bookmarkswidget.cpp
  * Fix tabbar
  * Close tab on middle clicking
  * A real shortcut editor
  * Allow to change tab title color
  * Make tab closing button configurable
  * Make active tab text bold to make it more visible
  * Fix a typo
  * Fixes an error in the d3fa804 fix of #304
  * new config: show terminal size on resize
  * Fixes #304
  * Fix bracket paste
  * Fixes tabAt() when tabBar is not at north position
  * Fix terminal menubar
  * Drop Qt foreach
  * Set QTERMWIDGET_MINIMUM_VERSION
  * Fix a typo in qterminal_drop.desktop
  * Fix tab icon display in proxy style.
  * Switch tab eliding to ElideMiddle.
  * Adjust default tab width to 500 and enable limit by default.
  * Forward declare TabBar.
  * Add option for configuring tab width limit.
  * Add maximum tab width and proper text eliding.
  * Enable bidi by default
  * Fix UI
  * Add RTL support button
  * Update Catalan translation

qterminal-0.8.0 / 2017-10-21
==================

  * Release 0.8.0: Update changelog
  * Set version to 0.8.0
  * Update information on distribution package
  * Added legacy font setting support
  * Made font in settings file human readable
  * Fix action inconsistency when switching tabs
  * Lithuanian translation
  * Added Lithuanian language
  * Don't export github templates
  * correct spelling mistake
  * Adapt to QTermWidget API changes after DECSCUSR handling
  * liblxqt dont make sense here
  * Copied issue template
  * Drops Qt5Core_VERSION_STRING
  * Update qterminal_drop.desktop
  * Update qterminal.desktop
  * Make disabled actions consistent at all times (#331)
  * DBus DropMode (#325)
  * Change subterminal shortcuts to avoid breaking qtermwidget scrolling (#327)
  * Update main.cpp (#322)
  * Fix toggle menu action.
  * Focus highlight (#266)
  * Replace numbered terminals with directional navigation (#255)
  * Fix '1 Terminal' preset (#324)
  * Change "Clear Current Tab" into "Clear Active Terminal" (#268)
  * Fix duplicated items, rework MainWindow memory-management (#313)
  * Fixed comment - needless compiler warnings are annoying (#321)
  * DBus integration (#307)
  * Restore filter actions (#310)
  * New features: trim \n from pasted strings, confirm multiline pastes (#309)
  * Support custom QSS styles
  * Call QApp destructor (#306)
  * Fixes (#318)
  * Refactor dangling actions, delete windows on close
  * Adds superbuild support
  * Improve translation (.ts) handling
  * Removes Qt5X11Extras_DEFINITIONS
  * Stops adding not exist entries to CMAKE_MODULE_PATH
  * Use the LXQtCompilerSettings module
  * Adapt to QTermWidget improved CMake
  * Fix a copy/paste error from 4afcc4d0d0922f526f89aadf16ec0517f6b5267e
  * Update dependencies and cleanup trailing spaces

qterminal-0.7.1 / 2016-12-21
==================

  * Release 0.7.1: Update changelog
  * Bump patch version (#294)
  * Add common shortcuts for switching tabs (#275)
  * Fix tabstop order in properties dialog & add buddy relations for labels. (#290)
  * Add preferences for background images (#273)
  * Disable menu actions that are not applicable currently (#244)
  * DEFINES += STR_VERSION=\\\"0.7.0\\\"
  * Add context menu actions for URLs and E-Mail addresses (#276)
  * Removed minimum size (#265)
  * Set maxval of dropdown spinboxen to 100, instead of 99
  * Use the new lxqt-build-tools package
  * Fix context menu actions being applied to the window opened last (#235)
  * Show exit confirmation dialog when closing the last window tab (#242)
  * remove "building with cpack" from CMakeLists.txt - not used anymore Added very basic .gitattributes

qterminal-0.7.0 / 2016-09-24
==================

  * Release 0.7.0: Add changelog
  * Bump version to 0.7.0 (#262)
  * Update README.md
  * Collapse splitter hierarchies containing a single terminal (#254)
  * Make qterminal.appdata.xml valid (#257)
  * Add config option for changing window's title/icon
  * Add support for automatic title & icon modification
  * Delete Properties instance on exit (#239)
  * Fix compilation warning related to QXmlStreamReader (#247)
  * Set the desktopFileName property
  * Fix typo in the conditional expression
  * Add location for custom color schemes (#234)
  * CMake Support changes (#237)
  * Add keyboard cursor shape setting (#228)
  * made the .pro file work on openSUSE; #229 (#232)
  * Fix renaming a tab from the menu
  * Make the rename current session shortcut work and configurable
  * build: Use external translations
  * ts-files removal (#222)
  * Add pt_BR (Brazilian Portuguese) translation (#215)
  * Merge pull request #214 from f2404/212_collapse_segfault_fix
  * Remove noisy qDebug()
  * Fix jumbled prompt
  * Add Greek (el) translation
  * Missing equal symbol for xml template
  * Delete MainWindow on exit
  * Link to the current github projects and trackers
  * Apply context menu to the tab that it was opened over
  * Close tabs in reverse order
  * Eliminate memory leaks by closing tabs on exit
  * Russian translation update
  * Fix menubar transparency
  * Fix default settings width
  * Fix bookmarks widget transparency
  * Use the same icon for dropdown and regular terminal
  * Fix license file
  * Improve README and use markdown
  * Fixed button focus in close confirmation (resolves #179).
  * Updated german translation.
  * Fix Simplified Chinese(zh_CN)
  * Update japanese translation
  * Add Japanese translation to *.desktop
  * fixed #174 XDG_CONFIG_DIRS support - read system wide QSettings
  *  Fix license issues within qterminal
  * Add chinese translation
  * Require Qt 5.2 or higher
  * fix private header dependency for X11 global shortcuts
  * fix searching for Qt5 private headers
  * make only terminal widget transparent, not the parent window
  * Fix japanese translation
  * Russian translation update
  * Add Japanese translation
  * fixed #160 FTBFS as of commit 4967123
  * Fixes for Portuguese language
  * Fixes missing App Window icon
  * Hungarian translation added
  * Update qterminal_tr.ts
  * Create qterminal_tr.ts
  * do not overwrite settings in migrateSettings
  * remove fullscreen patch
  * migrateSettings add size and pos and rm geometry
  * split geometry into size and position
  * define saveGeomOnExit in properties.h
  * add save geometry on exit
  * Add Alt-<letter> shortcuts to all menu items.
  * Make sure no settings are overwritten in migrateSettings().
  * Update index property of tabs when tabs are moved by drag-and-drop.
  * Update german translation.
  * Corrected terminology in settings (transparency vs. opacity). Now transparency instead of opacity is used in the whole application consistently.
  * Migrate AlwaysShowTabs-setting.
  * Move migrateSettings()-method to Properties-class and call it *before* loadSettings().
  * Update version number in settings.
  * Renamed always show tabs setting.
  * Portuguese update
  * Add instructions to disable system qxt when building with Qt5.
  * Changed position of font button in settings.
  * Changed layout of font-setting to better fit to the other settings in the widget.
  * Appdata file for QTerminal (resolves #60).
  * Add view-menu actions to mainwindow, to make them available when menu bar is hidden.
  * Add fullscreen mode.
  * Ignore user-specific project files of QtCreator.
  * Resolves #115: Store Actions of 'View'-menu in properties too and enable shorctus for them.
  * Set shortcuts for 'Preferences...' and 'Quit' from settings on startup.
  * Fixed #83: Add menu actions to main window.
  * Fixed #93: Add 'Toggle Menu' and 'Preferences...' to context menu.
  * Use GNUInstallDirs in CMakeLists.txt to stop hardcoding paths
  * Make the left column expandable to get more space for translated text.
  * Updated german translation
  * Remove empty file
  * Remove unnecessarily noisy qDebug calls
  * Portuguese update
  * Add Portuguese translation
  * Update Russian translation
  * slightly naive "layout/preset" implementation
  * fixed build for Qt4 and Qt5.x < 5.2
  * Rework settings window
  * Fixed translation (added tr() for some combo boxes in properties dialog).

qterminal-0.6.0 / 2014-10-21
==================

  * Release 0.6.0
  * Add an initial CONTRIBUTING document
  * Update AUTHORS
  * Update README
  * Add an INSTALL file
  * CMakeLists.txt cleanup
  * Russian translation improvements.
  * Updated translation.
  * Desktop icon theme support Use icons from current desktop theme (Qt functionality) Reformat icons.qrc into theme format and fallback to the provided theme if no system theme present in main.cpp Add more action icons according to the XDG Icon Naming Specification
  * fixed translation (some spelling, some inconsistencies, some bad wording) used other applications to determine common practice for some of the terms
  * qctions refactored a bit; copy/paste etc. shortcuts work in subterminals finally
  * fixed #80 Wronge state on startup
  * fix translation of termwidget context menu
  * add german translation
  * fixed #65 Typo in QTerminal Properties window
  * fixed #74 Zoom reset option resets font back to Monospace
  * Check Ctrl manually on activateUrl signal
  * Fix for #63
  * Qt5 additional dependency and version number fix
  * estonian translation
  * Update termwidget.cpp
  * Update termwidget.h
  * Add Spanish translation
  * Fixed install qterminal incon
  * Simple profile support

qterminal-0.5.0 / 2014-05-27
==================

  * basic Qt5 port
  * implemented #54 Add option to hide tab bar if only one tab is open
  * set focus to current terminal after bookmark command applied
  * Update Russian translation
  * fixed #51 Shortcuts broken after menu hiding
  * fixed #50 Bookmarks panel always shows, even if the bookmarks are disabled
  * fixed #49 Only show monospace fonts in the font picker
  * save bookmarks widget visibility; fix crash in some config circumstances
  * Include QApplication where needed. Fixes #47
  * removed un-needed file
  * changes required for new qtermwidget build/structure; includes fixed for qtermwidget Qt5 port
  * bookmarks: key shortcut to open/close bookmarks widget
  * bookmarks: saving/loading/editing
  * initial support for extended bookmarks (read only for now)
  * fixed #31 does not resize itself when screen resolution has changed
  * implemented #41 Request: Ctrl+M Disable Menu Bar Option
  * fix "save prefs on exit". Thanks Joseph A Philbrook for reporting and support ideas
  * improvements for #28 Use system qxt-devel
  * fixed #4 Open new tab in same working directory
  * fixed #15 "Raw" -e params
  * potential fix for height calculation regarding #31 does not resize itself when screen resolution has changed
  * potential fix for screen size changed in drop down mode #31 does not resize itself when screen resolution has changed
  * fixed #28 Use system qxt-devel
  * fixed #37 Configuration AskOnExit should be editable via GUI
  * Added Russian translation
  * Clean up --help
  * Don't forget highlight current terminal option
  * fix #27 Ctrl+D on a new window closes all windows
  * fix FSF address
  * fixed #13 Window action names
  * do not use conflicting shortcuts with vim/screen
  * Added global tab rename (sessionRename) shortcut
  * trivial shortcuts in a terminal-menu are a no-go because they ineterfere with several usual ncurses programs like nano, or weechat, even bash is interfered.
  * allow only monospaced fonts in preferences dialog
  * remove unused code in FindQTermWidget.cmake
  * fixed main window ui file (manually edited probably) to work with designr again. Use "Preferences..." instead of "Configure QTerminal"
  * compile also italian translations
  * added italian translations
  * get rid of contraproductive Ctrl-W to close a tab. Replaced that   wieht Ctrl-Shift-W. Use nano in qterminal and try to search. You   will see, what i mean ... * it takes a horizontal ruler to tile a terminal vertically and   vice versa * make border of active terminal a little bit thinner 3px -> 2px
  * Added new action: "Paste Selection". Fixes #21
  * Handle migration "Paste Selection"->"Paste Clipboard" in settings
  * Rename PASTE_SELECTION to PASTE_CLIPBOARD which is what it does
  * ctrl+n opens new window - reimplemented #19
  * Added search functionality
  * now with actual changes.
  * fixed bad layout
  * Reorganize menus (mostly fixes issue 8)
  * Correction proposal for previous error
  * Add zoom terminal. New option in PropertiesDialog
  * return dropdown dsktop file because "desktop actions" are not supported almost anywhere
  * Use standard utilities-terminal as default icon as a qterminal icon is not shipped
  * Get rid of qterminal_drop.desktop, favouring a Desktop Action
  * fixed #5 Tabs on top by default
  * final fix for doubleclicks on tabwidget
  * fixed #1 lost focus after close tab
  * fix for lost custom tab labels when the tab is removed
  * clear active terminal implemented
  * wrong application domain fixed
  * highlight current terminal is optional now
  * fixed broken layouting from previous patches
  * XDG standardized config place
  * desktop files fixes
  * install unix icon
  * yakuake mode compile fix for X11
  * build on mac
  * Switch to Qxt global shortcut
  * "make lupdate" implemented; do not delete ts files on "make clean"; fix translator loading
  * DropDown mode
  * allow translations
  * tabs to spaces
  * allow moving of tabs
  * Added History size properties
  * desktop file for XDG
  * fixed shortcut defaults as it used wrong int into strings
  * reverted misunderstood spaces in keys - it's used in shorcut widget display
  * remove ' ' from config keys as it makes config file unreadable
  * LIB_SUFFIX autodiscovery
  * Added missing translatable string. Shortcut tableview in preferences dialogue now resizes columns to fit contents Disabled verticalHeader on shorcut tableview. Added 'copy' and 'paste' to configurable shortcuts list. Removed '1.0' branding from windowTitle to read only 'QTerminal'.
  * qmake pro file (easier to use in creator than cmake, figured i'd share.)
  * Support for keyboard shortcuts; free-form text entry style.
  * -e|--execute implemented; minor help fixes
  * sync from experimental
  * sync with experimental "bundle" repository
  * standardized icons and keyboard shortcuts
  * set minimal window size for initial resizing
  * remove annoying "close session?" dialog
  * all actions are available from mainwindow's menu
  * mac icon fix
  * bundle the qtermwidget's kb-layout files too
  * initial support for apple bundles
  * key shorcut unified for x11/mac
  * actions cleanup
  * fix for session closing
  * fix for sub-terminals switching/focuses (to stay in current window/tab)
  * small refactoring of methods duplicities
  * transparency and open/save session shortcuts removed
  * better highlight of the current subterminal (wide line)
  * fixed focus handling again
  * implementation of sub-terminal shitch key-shortcut
  * highlight current subwindow (work in progress)
  * set correct focus when (sub)terminal opens
  * patches to build on BSD by Christopher VdoP
  * correct closing on linux
  * include fixes; editable gui
  * split and collapse progress
  * case sensitive includes
  * sub-terminals splitting and collapsing
  * allow to change emulation type
  * docs;build fixes
  * preferences are split into regular dialog
  * termwidget split; properties separated
  * actions texts standardized; all Qt styles supported in menu
  * font handling fix for macosx
  * macosx port; cmake support
  * initial import
